#include <cstdio>
#include <string.h>

#define MAX 100000

using namespace std;

int main(){
	char c[MAX]; 
	scanf("%s", &c);
	bool DaLi = false; 
	int br = 0, b;
	for(int i = 0 ; i < strlen(c) && !DaLi ; i++){
		for(int j = 1 ; j < strlen(c) && !DaLi; j++){
			if(c[i] == c[j]){
				b = j; 
				for(int u = i+1 ; u < j ; u++){
					if(c[u] != c[i]) br++;
				}
				DaLi = true; 
			}
		}
	}
	if(br > 1){
		DaLi = true; 
		for(int i = 1 ; i < b ; i++){
			if(c[0] == c[1]) continue; 
			else{
				DaLi = false; 
				break; 
			}
		}
		if(!DaLi) printf("1"); 
		else printf("%d", br); 
	}
	else printf("%d", br);
	return 0;
}